KDE notifications not working
08/23/2012 11:10 AM - metlos

Status: Feedback Start date: 08/23/2012
Priority: Normal Due date:

Assignee: metlos % Done: 0%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version: Some future release

Version: 0.9-pre 0S: Any
Description

The KDE notification integration is not working as it should. The system tray icon does blink and the correct number of pending
notifications is shown but the notification settings (i.e. a sound to play, popup a message, etc) are ignored.

This bug exists in master branch.

Related issues:
Related to Quassel IRC - Bug #1240: Notifications not sent when Quassel is mi... Resolved 09/07/2013

History

#1 - 08/23/2012 11:35 AM - metlos
Added a merge request on gitorious: https:/gitorious.org/quassel/quassel/merge_requests/144

#2 - 09/23/2012 05:10 PM - Anonymous
- Category set to Quassel GUI (KDE)
- Assignee set to metlos

- Target version set to Some future release

#3 - 12/10/2012 02:32 PM - al
- Status changed from New to Feedback

- Version changed from 0.8-pre to 0.9-pre

What is needed to reproduce this bug? Notification options are working just fine for me with KDE 4.8.4.

#4 - 12/10/2012 03:11 PM - metlos

I'm on KDE 4.9.3. Before the patch, | never got a sound notification when someone wrote a private message or when | got a highlight. The Quassel
icon in the tray would blink but no KDE notification would pop up nor would sound play even if configured to do so in the notifications section in the
Quassel settings.

#5 - 12/10/2012 03:17 PM - metlos

If you look at the patch, all it does is it makes sure to send the event only once it is fully wired up... Before the patch, the event would immediately fire
during the construction of the notification and only then the notification would be wired up with the signal and the internal list of active notifications. |
guess there was some kind of race condition somewhere in there that may or may not exhibit itself with your set up. For me, firing the notification only
after fully wired up fixed the issue.

#6 - 01/23/2013 06:51 PM - smithbone

| seem to have a version of this bug. In my version though | don't get a notification in the system tray or any sort of notification sound unless quassel
is in the same desktop as my active window.

Currently this is with Kubuntu 12.04.1 LTS, KDE 4.9.5, Quassel .9-pre (various builds) but it was the same on 2 previous releases of Kubuntu. (Same
results on different machines, | run quassel on 3 machines) Core is located on a remote server.

Unfortunately this patch does not solve my problem. My current workaround is to enable Quassel to be present on "All desktops" via the option in the
window manager.

Using dbus-monitor | see that the problem appears to be with quassel. Watching dbus-monitor if quassel is on the active desktop then | see the
notification event show up on the bus but if quassel is not in the active desktop then the notification event does not appear in dbus-monitor.

I'll be happy to run any tests or additional debugging if requested. Is there a debug option | can use for the client that's similar to whats available for
the core?

#7 - 01/24/2013 09:52 PM - smithbone

I've narrowed this down to the exact bit of code that is misbehaving. Using qDebug() statements I've found that the following check in
MainWin::messageslInserted() is keeping the notification from happening when quassel is not on the active desktop.

// check if bufferId belongs to the shown chatlists
if (! (Client::bufferViewOverlay () ->bufferIds().contains (bufld) ||
Client::bufferViewOverlay () —>tempRemovedBufferIds () .contains (bufld)))

continue;

#8 - 12/23/2013 12:40 AM - Sputnick

Could you guys please check if it works with the current master branch (or tip of the 0.9 branch, post-0.9.2) now? We just now applied a patch that
might be related (bug #1240).

Files

kde-notifs-fix.patch 1.26 KB 08/23/2012 metlos
